/*
 * Class CURSOR_STRUCTURE [INTEGER_16]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1942 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1942 [] = {0xFF01,1551,1941,878,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1942 [] = {0xFF01,1941,878,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1942 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1942 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1942 [] = {0xFF01,1941,878,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1942 [] = {0xFF01,1941,878,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1942 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1942 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1942 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1942 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1942 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1942 [] = {1941,878,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1942 [] = {0xFF01,1941,878,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1942 [] = {0xFF01,1938,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1942 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1942 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1942 [] = {0xFF01,601,0xFFFF};


static const struct desc_info desc_1942[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1942), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1942), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1942), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1942), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1942), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1942), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1942), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1942), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1942), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1942), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1942), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1942), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1942), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1942), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8648, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8649, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8650, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8651, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8652, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1942), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1942), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9039, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9040, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9041, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1942), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9095, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1942), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1942(void)
{
	IDSC(desc_1942, 0, 1941);
	IDSC(desc_1942 + 1, 1, 1941);
	IDSC(desc_1942 + 32, 1134, 1941);
	IDSC(desc_1942 + 41, 1135, 1941);
	IDSC(desc_1942 + 50, 1060, 1941);
	IDSC(desc_1942 + 56, 254, 1941);
	IDSC(desc_1942 + 59, 778, 1941);
}


#ifdef __cplusplus
}
#endif
